#include <SoftI2C.h>
#include "DS3231_CH55X.h"

unsigned int ev;    //év tárolása
byte ho;            //hó tárolása 
byte nap;           //nap tárolása 
byte het_napja;     //hét napja (1-hétfő....7-vasárnap)
byte ora;           //óra tárolása (24 órás üzemmódot fogunk használni)
byte perc;          //perc tárolása 
byte masodperc;     //másodperc tárolása 
bool pontos;        //ez a változó fogja megadni az idő kiolvasását követően, hogy pontos-e a kiolvasott időpont 
                    //(ha elemes működés közben leáll a DS3231 oszcillátora, akkor az "OSF" flag bebillen, és ezt olvassuk ki

void setup() 
{
  scl_pin = 30; //SoftI2C külső változója az SCL kivezetés beállítására
  sda_pin = 31; //SoftI2C külső változója az SCL kivezetés beállítására
  I2CInit();    //I2C inicializálása
  //az óra beállítása (csak egyszer kell megcsinálni, aztán ki kell kommentezni
  masodperc=0;
  perc=50;
  ora=5;
  het_napja=7;
  nap=13;
  ho=11;
  int ev=2022; 
  delay(4000); //a reset és soros monitor elindítására hagyok időt magamnak
//  if (!setTime24(2022,12,7,2,9,40,0)) {     //óra beállítása: négyszög kimenő jelet kikapcsolja, 
                                             //32Khz-s kimenetet kikapcsolja és 24 órás üzemmódot állít be.
                                             //Beállítja a pontos időt a paraméterben megkapott változók értékével 
//    USBSerial_println("Óra beállítás sikertelen, rosszul megadott dátum vagy idő!");
//  }
  
}

void loop()
{
  USBSerial_println("Pontos idő:");
  pontos=getTime24(&ev,&ho,&nap,&het_napja,&ora,&perc,&masodperc);                   //kiolvassuk az időt a változóba
  USBSerial_print(ev,DEC);USBSerial_print("-");
  USBSerial_print(ho,DEC);USBSerial_print("-");
  USBSerial_print(nap,DEC);USBSerial_print("  ");
  USBSerial_print(het_napja);
  USBSerial_print("  ");USBSerial_print(ora,DEC);
  USBSerial_print(":");USBSerial_print(perc,DEC);
  USBSerial_print(":");USBSerial_println(masodperc,DEC);
  if (pontos==0) {USBSerial_println("Az óra valószínűleg nem pontos");}
  USBSerial_print("Hőmérséklet:");USBSerial_println(getTemperature());
  delay(1000);
}
